#include "Logic.h"


#include <stdio.h>
#include <stdio.h>

static int8_t Logic_doubleNegationLaw = !((!(LOGIC_p))) == LOGIC_p;

static int8_t Logic_commutativeLaw;

static int8_t Logic_associativeLaw = (LOGIC_p || LOGIC_q) || LOGIC_r == (LOGIC_p || LOGIC_q) || LOGIC_r;

static int8_t Logic_distributeLaw = LOGIC_p || (LOGIC_q && LOGIC_r) == (LOGIC_p || LOGIC_q) && (LOGIC_p || LOGIC_r);

static int8_t Logic_deMorgansLaw = LOGIC_p && LOGIC_q == LOGIC_p || LOGIC_q;

static int8_t Logic_absorbtionLaw = LOGIC_r && (LOGIC_q && 0) != LOGIC_p;

/* - - */
int8_t Logic_testLogic(void) 
{
  int8_t __failuresVal = 0;
  int8_t* __failures = &__failuresVal;
  printf("$$runningTest: running test (");
  printf(") @Logic:testLogic#2107606528264961561\n");
  
  if ( !(Logic_doubleNegationLaw == 1) ) 
  {
    (*__failures)++;;
    printf("$$FAILED: [1;31m***FAILED***[0m (");
    printf("testID=%i",0);
    printf(") @Logic:testLogic#3053563686292569214\n");
    
  }

  if ( !(Logic_commutativeLaw == 1) ) 
  {
    (*__failures)++;;
    printf("$$FAILED: [1;31m***FAILED***[0m (");
    printf("testID=%i",1);
    printf(") @Logic:testLogic:1#2107606528264973579\n");
    
  }

  if ( !(Logic_associativeLaw == 1) ) 
  {
    (*__failures)++;;
    printf("$$FAILED: [1;31m***FAILED***[0m (");
    printf("testID=%i",2);
    printf(") @Logic:testLogic:2#2107606528264989553\n");
    
  }

  if ( !(Logic_distributeLaw == 1) ) 
  {
    (*__failures)++;;
    printf("$$FAILED: [1;31m***FAILED***[0m (");
    printf("testID=%i",3);
    printf(") @Logic:testLogic:3#2107606528264995805\n");
    
  }

  if ( !(Logic_deMorgansLaw == 1) ) 
  {
    (*__failures)++;;
    printf("$$FAILED: [1;31m***FAILED***[0m (");
    printf("testID=%i",4);
    printf(") @Logic:testLogic:4#2107606528264999256\n");
    
  }

  if ( !(Logic_absorbtionLaw == 1) ) 
  {
    (*__failures)++;;
    printf("$$FAILED: [1;31m***FAILED***[0m (");
    printf("testID=%i",5);
    printf(") @Logic:testLogic:5#2107606528265003022\n");
    
  }

  return __failuresVal;
}


