#include "Test.h"


#include "OrderProcess.h"
#include "Bubblesort.h"
#include "TrafficLight.h"
#include "Logic.h"
#include "Library.h"
#include "RiskAssessment.h"

static int32_t Test_blockexpr_a0a0(void);

int32_t main(int32_t argc, char* argv[]) 
{
  return Test_blockexpr_a0a0();
}


static int32_t Test_blockexpr_a0a0(void) 
{
  int32_t failures = 0;
  int32_t* __failures = &failures;
  *__failures = *__failures + Logic_testLogic();
  *__failures = *__failures + Bubblesort_testBubbleSort();
  *__failures = *__failures + OrderProcess_testProcessOrder();
  *__failures = *__failures + RiskAssessment_testRiskAssessment();
  *__failures = *__failures + TrafficLight_testTrafficLight();
  return failures;
}


